-- MEMORIA ROM PARA UNA ANIMACIÓN EN UNA MATRIZ 8X8
-- IMAGEN DE UNA CARITA FELIZ
-- BEAS
--
-- 1 0 0 0 0 0 0 1
-- 0 0 1 0 0 1 0 0
-- 0 0 1 0 0 1 0 0
-- 0 0 1 0 0 1 0 0
-- 0 0 0 0 0 0 0 0
-- 0 1 0 0 0 0 1 0
-- 0 0 1 1 1 1 0 0
-- 1 0 0 0 0 0 0 1

-- LÓGICA NEGADA

LIBRARY IEEE;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY rom_feliz IS 
	PORT(DIR: IN INTEGER RANGE 0 TO 7;
	     SAL: OUT STD_LOGIC_VECTOR(0 TO 7));
END ENTITY;

ARCHITECTURE BEAS OF rom_feliz IS 
TYPE MEMORY IS ARRAY(0 TO 7) OF STD_LOGIC_VECTOR(0 TO 7);
CONSTANT ROM: MEMORY := (X"81",X"24",X"24",X"24",X"00",X"42",X"3C",X"81"); -- HEXADECIMAL
--CONSTANT ROM: MEMORY := ("10000001","00100100","00100100","00100100","00000000","01000010","00111100","10000001"); -- BINARIO
BEGIN

	SAL <= ROM(DIR);

END BEAS;